Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.dom
Class DocumentWrapper

    java.lang.Object
      net.sf.saxon.dom.NodeWrapper
          net.sf.saxon.dom.DocumentWrapper

All Implemented Interfaces:
  Source, PullEvent, DocumentInfo, Item, NodeInfo, ValueRepresentation, SiblingCountingNode, VirtualNode

    public class DocumentWrapper

extends NodeWrapper
implements DocumentInfo

The document node of a tree implemented as a wrapper around a DOM Document.

Field Summary
`protected String` | `baseURI`
`protected Configuration` | `config`
`protected long` | `documentNumber`
`protected boolean` | `domLevel3`

Fields inherited from class net.sf.saxon.dom.NodeWrapper
`docWrapper, index, node, nodeKind, span`

Fields inherited from interface net.sf.saxon.om.NodeInfo
`ALL_NAMESPACES, EMPTY_NAMESPACE_LIST, IS_DTD_TYPE, IS_NILLED, LOCAL_NAMESPACES, NO_NAMESPACES`

Fields inherited from interface net.sf.saxon.om.ValueRepresentation
`EMPTY_VALUE_ARRAY`

Constructor Summary
`DocumentWrapper(Node doc, String baseURI, Configuration config)` Wrap a DOM Document or DocumentFragment node

Method Summary
`Configuration` | `getConfiguration()` Get the configuration previously set using setConfiguration
`long` | `getDocumentNumber()` Get the unique document number
`NamePool` | `getNamePool()` Get the name pool used for the names in this document
`int` | `getTypeAnnotation()` Get the type annotation.
`String[]` | `getUnparsedEntity(String name)` Get the unparsed entity with a given name
`Iterator<String>` | `getUnparsedEntityNames()` Get the list of unparsed entities defined in this document
`Object` | `getUserData(String key)` Get user data held in the document node.
`boolean` | `isSameNodeInfo(NodeInfo other)` Determine whether this is the same node as another node.
`NodeInfo` | `selectID(String id, boolean getParent)` Get the element with a given ID, if any
`void` | `setConfiguration(Configuration config)` Set the Configuration that contains this document
`void` | `setUserData(String key, Object value)` Set user data on the document node.
`NodeWrapper` | `wrap(Node node)` Create a wrapper for a node in this document

Methods inherited from class net.sf.saxon.dom.NodeWrapper
`atomize, compareOrder, copy, equals, generateId, getAttributeValue, getBaseURI, getColumnNumber, getDeclaredNamespaces, getDisplayName, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNodeKind, getParent, getPrefix, getRealNode, getRoot, getSiblingPosition, getStringValue, getStringValueCS, getSystemId, getTypedValue, getUnderlyingNode, getURI, hasChildNodes, hashCode, isId, isIdref, isNilled, iterateAxis, iterateAxis, makeWrapper, makeWrapper, setSystemId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.saxon.om.NodeInfo
`atomize, compareOrder, copy, equals, generateId, getAttributeValue, getBaseURI, getColumnNumber, getDeclaredNamespaces, getDisplayName, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNodeKind, getParent, getPrefix, getRoot, getStringValue, getSystemId, getURI, hasChildNodes, hashCode, isId, isIdref, isNilled, iterateAxis, iterateAxis`

Methods inherited from interface javax.xml.transform.Source
`setSystemId`

Methods inherited from interface net.sf.saxon.om.Item
`getStringValueCS, getTypedValue`

Field Detail

### config

    protected Configuration config

### baseURI

    protected String baseURI

### documentNumber

    protected long documentNumber

### domLevel3

    protected boolean domLevel3

Constructor Detail

### DocumentWrapper

    public DocumentWrapper(Node doc,
                           String baseURI,
                           Configuration config)

  Wrap a DOM Document or DocumentFragment node

  Parameters:
    `doc` - a DOM Document or DocumentFragment node
    `baseURI` - the base URI of the document
    `config` - the Saxon configuration

Method Detail

### wrap

    public NodeWrapper wrap(Node node)

  Create a wrapper for a node in this document

  Parameters:
    `node` - the DOM node to be wrapped. This must be a node within the document wrapped by this DocumentWrapper
  Throws:
    `IllegalArgumentException` - if the node is not a descendant of the Document node wrapped by this DocumentWrapper

### setConfiguration

    public void setConfiguration(Configuration config)

  Set the Configuration that contains this document

### getConfiguration

    public Configuration getConfiguration()

  Get the configuration previously set using setConfiguration

  Specified by:
    `getConfiguration` in interface `NodeInfo`
  Overrides:
    `getConfiguration` in class `NodeWrapper`
  Returns:
    the Configuration

### getNamePool

    public NamePool getNamePool()

  Get the name pool used for the names in this document

  Specified by:
    `getNamePool` in interface `NodeInfo`
  Overrides:
    `getNamePool` in class `NodeWrapper`
  Returns:
    the NamePool

### getDocumentNumber

    public long getDocumentNumber()

  Get the unique document number

  Specified by:
    `getDocumentNumber` in interface `NodeInfo`
  Overrides:
    `getDocumentNumber` in class `NodeWrapper`
  Returns:
    the document number of the document containing this node

### selectID

    public NodeInfo selectID(String id,
                             boolean getParent)

  Get the element with a given ID, if any

  Specified by:
    `selectID` in interface `DocumentInfo`
  Parameters:
    `id` - the required ID value
    `getParent` -
  Returns:
    a NodeInfo representing the element with the given ID, or null if there is no such element. This implementation does not necessarily conform to the rule that if an invalid document contains two elements with the same ID, the one that comes last should be returned.

### isSameNodeInfo

    public boolean isSameNodeInfo(NodeInfo other)

  Determine whether this is the same node as another node.
  Note: a.isSameNode(b) if and only if generateId(a)==generateId(b)

  Specified by:
    `isSameNodeInfo` in interface `NodeInfo`
  Overrides:
    `isSameNodeInfo` in class `NodeWrapper`
  Parameters:
    `other` - the node to be compared with this node
  Returns:
    true if this Node object and the supplied Node object represent the same node in the tree.

### getUnparsedEntityNames

    public Iterator<String> getUnparsedEntityNames()

  Get the list of unparsed entities defined in this document

  Specified by:
    `getUnparsedEntityNames` in interface `DocumentInfo`
  Returns:
    an Iterator, whose items are of type String, containing the names of all unparsed entities defined in this document. If there are no unparsed entities or if the information is not available then an empty iterator is returned
  Since:
    9.1 (implemented for this subclass since 9.2)

### getUnparsedEntity

    public String[] getUnparsedEntity(String name)

  Get the unparsed entity with a given name

  Specified by:
    `getUnparsedEntity` in interface `DocumentInfo`
  Parameters:
    `name` - the name of the entity
  Returns:
    if the entity exists, return an array of two Strings, the first holding the system ID of the entity (as an absolute URI if possible), the second holding the public ID if there is one, or null if not. If the entity does not exist, the method returns null. Applications should be written on the assumption that this array may be extended in the future to provide additional information.
  Since:
    8.4 (implemented for this subclass since 9.2)

### getTypeAnnotation

    public int getTypeAnnotation()

  Get the type annotation. Always XS_UNTYPED.

  Specified by:
    `getTypeAnnotation` in interface `NodeInfo`
  Overrides:
    `getTypeAnnotation` in class `NodeWrapper`
  Returns:
    the type annotation of the node, under the mask NamePool.FP_MASK, and optionally the bit setting IS_DTD_TYPE in the case of a DTD-derived ID or IDREF/S type (which is treated as untypedAtomic for the purposes of obtaining the typed value).

    For elements and attributes, this is the type annotation as defined in XDM. For document nodes, it should be one of XS_UNTYPED if the document has not been validated, or XS_ANY_TYPE if validation has taken place (that is, if any node in the document has an annotation other than Untyped or UntypedAtomic).

### setUserData

    public void setUserData(String key,
                            Object value)

  Set user data on the document node. The user data can be retrieved subsequently using `getUserData(java.lang.String)`

  Specified by:
    `setUserData` in interface `DocumentInfo`
  Parameters:
    `key` - A string giving the name of the property to be set. Clients are responsible for choosing a key that is likely to be unique. Must not be null. Keys used internally by Saxon are prefixed "saxon:".
    `value` - The value to be set for the property. May be null, which effectively removes the existing value for the property.

### getUserData

    public Object getUserData(String key)

  Get user data held in the document node. This retrieves properties previously set using `setUserData(java.lang.String, java.lang.Object)`

  Specified by:
    `getUserData` in interface `DocumentInfo`
  Parameters:
    `key` - A string giving the name of the property to be retrieved.
  Returns:
    the value of the property, or null if the property has not been defined.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.